Re: [Geoserver-users] GeoServer + glal + OSX

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: [Geoserver-users] GeoServer + glal + OSX

Daniele Romagnoli
Hi Stefano,
please, read below...

On Thu, Oct 14, 2010 at 3:05 PM, armisael <[hidden email]> wrote:

Hi everybody,
I have installed gdal using macports, and this is the result:

$ gdalinfo --version
GDAL 1.6.2, released 2009/07/31

GeoServer is based on ImageI/O-Ext which requires a specific GDAL version.
Actually, the stable version uses a patched GDAL 1.4.5 version.

 
$ geoserver-start
AVVERTENZA: Native library load failed.java.lang.UnsatisfiedLinkError: no
gdaljni in java.library.path
...

It seems that some gdal jar is missing, but which one?

The gdal jars are properly on place but you are missing the proper native libs version as reported by this message:
Native library load failed.java.lang.UnsatisfiedLinkError: no gdaljni in java.library.path

How can I get an updated version? I
tried to compile the imageio-ext from the sources taken by svn, but I don't
understand where the created file are placed (I found
imageio-ext-gdal-bindings-1.7.2.jar in
~/.m2/repository/it/geosolutions/imageio-ext/imageio-ext-gdal-bindings/1.7.2/
but again, not my version)
 
It is not necessary to build the imageio-ext source code and jar bindings because they are still created to work against GDAL 1.4.5* (The 1.7.2 version you are seeing is for the imageio-ext-trunk whilst GeoServer is actually based on imageio-ext-1.0.x branch).

I think the UDIG guys did some work in building the GDAL 1.4.5 native libs for Mac in order to support some ImageIO-Ext plugins. I will suggest to ask for help on their mailing list. I have CCed the list on this reply.

Hope this helps. Let us know.
Regards,
Daniele

 

In the GeoServer status page I have:
Native JAI      true
Native JAI ImageIO      false

I know that the Native JAI ImageIO for MacOSX is not available yet, but I
don't care if I have some native implementation or not, right now I just
want it working... I tried downloading the linux version as suggested in the
pdf guide, copying it somewhere (I don't remember the directory, at the
moment) but I still have that problem...

This is not related to the GDAL loading issue.
 

Thank you in advance!
Best,

Stefano
--
View this message in context: http://old.nabble.com/GeoServer-%2B-glal-%2B-OSX-tp29948382p29948382.html
Sent from the GeoServer - User mailing list archive at Nabble.com.


------------------------------------------------------------------------------
Beautiful is writing same markup. Internet Explorer 9 supports
standards for HTML5, CSS3, SVG 1.1,  ECMAScript5, and DOM L2 & L3.
Spend less time writing and  rewriting code and more time creating great
experiences on the web. Be a part of the beta today.
http://p.sf.net/sfu/beautyoftheweb
_______________________________________________
Geoserver-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-users




--
-------------------------------------------------------
Ing. Daniele Romagnoli
Software Engineer

GeoSolutions S.A.S.
Via Poggio alle Viti 1187
55054  Massarosa (LU)
Italy

phone: +39 0584962313
fax:     +39 0584962313
mob:   +39 328 0559267


http://www.geo-solutions.it
http://geo-solutions.blogspot.com/

-------------------------------------------------------


_______________________________________________
udig-users mailing list
[hidden email]
http://lists.refractions.net/mailman/listinfo/udig-users